Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs7
Class EnvelopedData

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs7.EnvelopedData

public class EnvelopedData
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `EnvelopedData.Template` A template file for decoding a EnvelopedData blob

Field Summary
`private EncryptedContentInfo` | `encryptedContentInfo`
`private SET` | `recipientInfos`
`private SEQUENCE` | `sequence`
`static Tag` | `TAG`
`private INTEGER` | `version`

Constructor Summary
`private` | `EnvelopedData()`
`` | `EnvelopedData(INTEGER version, SET recipientInfos, EncryptedContentInfo encryptedContentInfo)` Create a EnvelopedData ASN1 object.

Method Summary
`void` | `encode(java.io.OutputStream ostream)`
`void` | `encode(Tag tag, java.io.OutputStream ostream)`
`EncryptedContentInfo` | `getEncryptedContentInfo()`
`SET` | `getRecipientInfos()`
`Tag` | `getTag()`
`INTEGER` | `getVersion()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### version

    private INTEGER version

### recipientInfos

    private SET recipientInfos

### encryptedContentInfo

    private EncryptedContentInfo encryptedContentInfo

### sequence

    private SEQUENCE sequence

Constructor Detail

### EnvelopedData

    private EnvelopedData()

### EnvelopedData

    public EnvelopedData(INTEGER version,
                         SET recipientInfos,
                         EncryptedContentInfo encryptedContentInfo)

  Create a EnvelopedData ASN1 object.

Method Detail

### getTag

    public Tag getTag()

  Specified by:
    getTag in interface ASN1Value

### getVersion

    public INTEGER getVersion()

### getRecipientInfos

    public SET getRecipientInfos()

### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

### encode

    public void encode(Tag tag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Specified by:
    encode in interface ASN1Value

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD